Debian Bug report logs - #288215
RM: rawrec -- RoQA; orphaned for a year, RC bug

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Sun, 2 Jan 2005 14:18:04 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Britton Leo Kerin <bkerin@debian.org>, <wnpp@debian.org>:
Bug#288215; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Britton Leo Kerin <bkerin@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: rawrec -- Buffered raw audio recorder/player
Date: Sun, 02 Jan 2005 15:02:31 +0100
Package: wnpp
Severity: normal

The current maintainer of rawrec, Britton Leo Kerin <bkerin@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: rawrec
Binary: rawrec
Version: 0.9.98-1
Priority: optional
Section: sound
Maintainer: Britton Leo Kerin <bkerin@debian.org>
Build-Depends: debhelper
Architecture: any
Standards-Version: 3.5.8.0
Format: 1.0
Directory: pool/main/r/rawrec
Files: 461714ca54804e71cb042560bcdbe3b2 554 rawrec_0.9.98-1.dsc
 15a26258853cf061e9b7e5a81f147528 60989 rawrec_0.9.98.orig.tar.gz
 bca0aa8334a7b224d406d536225b0792 2697 rawrec_0.9.98-1.diff.gz

Package: rawrec
Priority: optional
Section: sound
Installed-Size: 120
Maintainer: Britton Leo Kerin <bkerin@debian.org>
Architecture: i386
Version: 0.9.98-1
Depends: libc6 (>= 2.3.1-1)
Recommends: audio-mixer | aumix | aumix-gtk
Suggests: sox
Conflicts: suidmanager (<< 0.50)
Filename: pool/main/r/rawrec/rawrec_0.9.98-1_i386.deb
Size: 28794
MD5sum: f558ccf515c5ccc31920f2612f07357f
Description: Buffered raw audio recorder/player
 The rawrec/rawplay utilities provide a simple way to record or play
 back raw audio data.  Options exist to control the timing of the run,
 add silent guard time, jump into data files, set DSP parameters, and
 control buffer size and latency.  rawrec should be particularly useful
 for scripting applications that need to deal with raw audio data.
 .
 Compared to bplay, rawrec tries to do less (it only handles raw
 audio) and does it more correctly (all the options work right for raw
 audio.  I think :).
 .
 rawrec can work to or from standard io, so if you also get the sox
 program, you will be able to record and play a wide variety of sound
 formats.  You will need a mixer program, such as aumix.

Justification: No activity in 10 months, no response to pings



Changed Bug title. Request was from andrei.emeltchenko@kolumbus.fi to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as andrei.emeltchenko@kolumbus.fi. Request was from andrei.emeltchenko@kolumbus.fi to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#288215; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>, 288215@bugs.debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #14 received at 288215-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: andrei.emeltchenko@kolumbus.fi
Cc: 288215-quiet@bugs.debian.org
Subject: Bug#288215: ITA: rawrec -- Buffered raw audio recorder/player
Date: Mon, 15 Aug 2005 18:10:23 +0200
On Wed, May 04, 2005 at 12:05:45AM +0300, andrei.emeltchenko@kolumbus.fi wrote:
> retitle 288215 ITA: rawrec -- Buffered raw audio recorder/player
> owner 288215 andrei.emeltchenko@kolumbus.fi

Do you still intend to adopt rawrec?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Owner changed from andrei.emeltchenko@kolumbus.fi to Andrei Emeltchenko <andrei.emeltchenko@kolumbus.fi>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrei Emeltchenko <andrei.emeltchenko@kolumbus.fi>:
Bug#288215; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrei Emeltchenko <andrei.emeltchenko@kolumbus.fi>. Full text and rfc822 format available.

Message #21 received at 288215@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: andrei.emeltchenko@kolumbus.fi
Cc: control@bugs.debian.org, 288215@bugs.debian.org
Subject: Re: Bug#288215: ITA: rawrec -- Buffered raw audio recorder/player
Date: Sun, 4 Sep 2005 18:10:45 +0200
retitle 288215 O: rawrec -- Buffered raw audio recorder/player
noowner 288215
thanks

On Mon, Aug 15, 2005 at 06:10:23PM +0200, Matej Vela wrote:
> On Wed, May 04, 2005 at 12:05:45AM +0300, andrei.emeltchenko@kolumbus.fi wrote:
> > retitle 288215 ITA: rawrec -- Buffered raw audio recorder/player
> > owner 288215 andrei.emeltchenko@kolumbus.fi
> 
> Do you still intend to adopt rawrec?  (This is just a ping, I'm not
> interested in adopting it myself.)

I haven't heard back from you, so I assume you are no longer interested.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by Andrei Emeltchenko <andrei.emeltchenko@kolumbus.fi>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288215; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 288215@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 288215@bugs.debian.org, 288216@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: rawrec, soundgrab -- RoQA; orphaned for a year, RC bug
Date: Mon, 13 Mar 2006 12:26:34 +0100
retitle 288215 RM: rawrec -- RoQA; orphaned for a year, RC bug
reassign 288215 ftp.debian.org
retitle 288216 RM: soundgrab -- RoQA; orphaned for a year, depends on rawrec
reassign 288216 ftp.debian.org
block 167562 by 288215
block 225760 by 288215
block 323175 by 288215
thanks

I think we should remove rawrec and soundgrab.

  * Both have been orphaned for 1 year and 69 days.
  * rawrec has 1 RC bug.  I'm unable to confirm it because it won't even
    start for me ("the sampling rate (-s) could not be set ...").
  * soundgrab uses rawrec under the hood, and isn't usable without it.
  * bplay seems to be a reasonable command-line alternative for rawrec.
    AFAICT, no command-line alternatives for soundgrab, but plenty of
    audio editors do the same thing.
  * The previous Debian maintainer, Britton Leo Kerin, is also upstream
    for both:
    <http://rawrec.sourceforge.net/>
    <http://soundgrab.sourceforge.net/>
  * popcon:
    - rawrec: 289 installations, 43 votes.
    - soundgrab: 37 installations, 10 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 288215 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 288215 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 288215 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#288215; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to tim hall <tech@glastonburymusic.org.uk>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #45 received at 288215@bugs.debian.org (full text, mbox):

From: tim hall <tech@glastonburymusic.org.uk>
To: Matej Vela <vela@debian.org>
Cc: 288215@bugs.debian.org, 288216@bugs.debian.org, control@bugs.debian.org, debian-qa@lists.debian.org, debian-multimedia@lists.debian.org
Subject: Re: RM: rawrec, soundgrab -- RoQA; orphaned for a year, RC bug
Date: Tue, 14 Mar 2006 08:38:20 +0000
Matej Vela wrote:
> retitle 288215 RM: rawrec -- RoQA; orphaned for a year, RC bug
> reassign 288215 ftp.debian.org
> retitle 288216 RM: soundgrab -- RoQA; orphaned for a year, depends on rawrec
> reassign 288216 ftp.debian.org
> block 167562 by 288215
> block 225760 by 288215
> block 323175 by 288215
> thanks
> 
> I think we should remove rawrec and soundgrab.
> 
>   * Both have been orphaned for 1 year and 69 days.
>   * rawrec has 1 RC bug.  I'm unable to confirm it because it won't even
>     start for me ("the sampling rate (-s) could not be set ...").
>   * soundgrab uses rawrec under the hood, and isn't usable without it.
>   * bplay seems to be a reasonable command-line alternative for rawrec.
>     AFAICT, no command-line alternatives for soundgrab, but plenty of
>     audio editors do the same thing.
>   * The previous Debian maintainer, Britton Leo Kerin, is also upstream
>     for both:
>     <http://rawrec.sourceforge.net/>
>     <http://soundgrab.sourceforge.net/>
>   * popcon:
>     - rawrec: 289 installations, 43 votes.
>     - soundgrab: 37 installations, 10 votes.

With some of the orphaned multimedia packages it may be possible for 
debian-multimedia to co-maintain essential packages. However, I don't 
think these two come into that category. I'm Cc'ing to debian-multimedia 
just in case anyone feels these packages deserve a last minute reprieve. 
Better get in quick if so.

cheers,

tim hall



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 288215-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 288215-close@bugs.debian.org
Cc: rawrec@packages.debian.org, rawrec@packages.qa.debian.org
Subject: Bug#288215: fixed
Date: Wed, 22 Mar 2006 04:34:42 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    rawrec |   0.9.98-3 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 288215@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 15:33:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:05:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.